Advanced query all resource members

post

/api/boss/data/objects/ora/cxServiceCore/helpdesk/v1/$en/internalServiceRequests/{internalServiceRequests_id}/resourceMembers/$query

Request

Path Parameters
  • This path parameter maps to the following field defined in the Internal Service Requests REST resource:
    1. srNumber: The unique number that's used to identify a help desk request. You can edit the help desk request number to a format that's best suitable to your organizational requirements.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type: object
Show Source
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type: object
Defines query criteria that can be applied on a resource collection.
Show Source
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
  • Represents the privilege or action required to check for while serving a request to access a resource.
  • sortBy
    Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type: array
Orders a resource collection based on the specified fields.
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Name of field based on which sorting will happen. Order is ascending.
  • type
    Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : type
Type: object
Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Back to Top

Response

Default Response

An array of items response
Body ()
Root Schema : internalServiceRequests-resourceMembers
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : internalServiceRequests-resourceMembers-item-response
Type: object
Show Source
  • Title: Created By
    Read Only: true
    Maximum Length: 64
    The user who added the service request resource member.
  • Title: Creation Date
    Read Only: true
    The date and time when the service request resource member was created.
  • Title: Can Delete
    Read Only: true
    Indicates whether the user has access to delete the record.
  • Title: Last Updated Date
    Read Only: true
    The date and time when the service request resource member record was last updated.
  • Title: Last Updated By
    Read Only: true
    Maximum Length: 64
    The user who last updated the service request resource member record.
  • Title: Last Update Login
    Read Only: true
    Maximum Length: 32
    The login of the user who last updated the service request resource member.
  • Links
  • Title: Member ID
    A unique identifier of the service request resource member.
  • Title: Service Request Team Member Resource ID
    The unique identifier of the service request resource member.
  • Title: Object Type
    Read Only: true
    Maximum Length: 30
    Default Value: ORA_SVC_RESOURCE
    Indicates whether the resource is an individual or a team.
  • Title: Assigned To
    Indicates whether the service request is assigned to the resource member. If yes, the value is True, else the value is False.
  • Title: Unique Party Name
    Read Only: true
    Maximum Length: 900
    The unique name of the service request resource member.
  • Title: Email
    Read Only: true
    Maximum Length: 320
    The email address of the resource member.
  • Title: Resource Formatted Address
    Read Only: true
    The formatted address of the SR resource member.
  • Title: Phone
    Read Only: true
    The formatted phone number of the resource member.
  • Title: Name
    Maximum Length: 360
    The name of the service request resource member.
  • Title: Resource Number
    Read Only: true
    Maximum Length: 30
    The alternative key for the service request resource.
  • Title: Service Request ID
    The unique identifier of the service request.
  • Title: Service Request Number
    Maximum Length: 30
    The alternative key for the service request number.
  • Title: Can Update
    Read Only: true
    Indicates whether the user has access to update the record.
  • Title: User GUID
    Read Only: true
    Maximum Length: 64
    The global unique identifier of the service request resource member.
  • Title: User ID
    Read Only: true
    The unique user identifier of the service request resource member.
  • Title: User Name
    Read Only: true
    Maximum Length: 100
    The user name of the resource member.
Back to Top